Bug 998469 - Review Request: rubygem-unicode-display_width - Support for east_asian_width string widths
Review Request: rubygem-unicode-display_width - Support for east_asian_width ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 07:40 EDT by Miroslav Suchý
Modified: 2013-12-13 22:25 EST (History)
2 users (show)

See Also:
Fixed In Version: rubygem-unicode-display_width-0.1.1-9.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 05:29:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ktdreyer: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2013-08-19 07:40:14 EDT
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-unicode-display_width/rubygem-unicode-display_width.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-unicode-display_width/rubygem-unicode-display_width-0.1.1-7.fc19.src.rpm
Description: 
This gem adds String#display_size to get the display size of a string using
EastAsianWidth.txt.

Fedora Account System Username: msuchy
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5828841
Comment 1 Ken Dreyer 2013-09-12 20:11:44 EDT
Hi Miroslav,

I can take this package.

In the latest Ruby guidelines, %prep is supposed to contain "gem unpack" and "gem spec", %build is supposed to contain "gem build", etc.

https://fedoraproject.org/wiki/Packaging:Ruby

On the Ruby Packaging Guidelines page, the example is clear about this, and gem2rpm's template also follows the unpack -> spec -> re-pack pattern. My understanding was that point of adding this in the Fedora 19 Ruby Packaging guidelines was that we would now be building the gem "from source".

Would you mind altering your package to fit the conventions on the Ruby Packaging Guidelines page? You could then delete .yardoc during %prep, which seems more natural to me.

If you strongly disagree with this, why not propose a change to the packaging guidelines to fit your style?

Also, can please you use the %gem_install macro, since that is one of the things that fedora-review checks?
Comment 3 Ken Dreyer 2013-11-22 18:26:22 EST
Please accept my apologies for taking so long to review this!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- Please Require: ruby(rubygems) in the main package.

- Please use HTTPS for the URL field.

- Please specify the full URL to Source0. Eg. https://rubygems.org/gems/%{gem_name}-%{version}.gem

- Please exclude Rakefile and .gemspec from the binary packages. See the next point...

- ...you deleted .yardopts during %install, but not .gemspec? Why not just remove everything during %prep for consistency? For example, you can run the following loop after "gem spec":

for f in .yardops .gemspec Rakefile; do
  rm $f
  sed -i "s|\"$f\",||g" %{gem_name}.gemspec
done

and then you won't have to worry about using %exclude, or deleting during %install, etc.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
     No test suite available.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[!]: SourceX tarball generation or download is documented.
[!]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[-]: Test suite of the library should be run.
     No test suite available.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-unicode-display_width rubygem-unicode-display_width-doc
rubygem-unicode-display_width.noarch: W: spelling-error Summary(en_US) asian -> Asian, avian
rubygem-unicode-display_width-doc.noarch: W: hidden-file-or-dir /usr/share/gems/gems/unicode-display_width-0.1.1/.gemspec
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


Requires
--------
rubygem-unicode-display_width (rpmlib, GLIBC filtered):
    ruby(release)

rubygem-unicode-display_width-doc (rpmlib, GLIBC filtered):
    rubygem-unicode-display_width


Provides
--------
rubygem-unicode-display_width:
    rubygem(unicode-display_width)
    rubygem-unicode-display_width

rubygem-unicode-display_width-doc:
    rubygem-unicode-display_width-doc


Source checksums
----------------
https://rubygems.org/gems/unicode-display_width-0.1.1.gem :
  CHECKSUM(SHA256) this package     : 051066a27443d16a7ba2a5352511986819073858a77b6bbcc3e42486fda8b719
  CHECKSUM(SHA256) upstream package : 051066a27443d16a7ba2a5352511986819073858a77b6bbcc3e42486fda8b719
Comment 4 Miroslav Suchý 2013-11-25 03:11:01 EST
> - Please exclude Rakefile and .gemspec from the binary packages. See the next point...

??? Rakefile and .gemspec are not in main package, but in -doc package.

I put them there, because some developers find them useful. Because Rakefile may be useful for developing and some developers wont to have original .gemspec from upstream.

- Why not just remove everything during %prep for consistency? 

I cannot remove .yardoc in %prep, because it does not exist at that time. It is generated during %build. And only if rubygem-yard is installed. Yard is not present in koji (because it is not required), but if I do not remove it, then local build for user may fail if he have yard instaled.

Anyway I replaced that 'rm' with %exclude if you think it is better.

And I addressed all other issues as well.
Comment 6 Ken Dreyer 2013-11-25 11:47:52 EST
(In reply to Miroslav Suchý from comment #4)
> I cannot remove .yardoc in %prep, because it does not exist at that time. It
> is generated during %build. And only if rubygem-yard is installed. Yard is
> not present in koji (because it is not required), but if I do not remove it,
> then local build for user may fail if he have yard instaled.

Ok, that makes sense. It's certainly not a blocker at any rate!

Package APPROVED
Comment 7 Miroslav Suchý 2013-11-25 12:50:42 EST
Thanks.
Comment 8 Miroslav Suchý 2013-11-25 12:52:28 EST
New Package SCM Request
=======================
Package Name: rubygem-unicode-display_width
Short Description: Support for east_asian_width string widths
Owners: msuchy
Branches: f19 f20
InitialCC:
Comment 9 Gwyn Ciesla 2013-11-25 13:32:28 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-11-26 02:36:42 EST
rubygem-unicode-display_width-0.1.1-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-unicode-display_width-0.1.1-9.fc20
Comment 11 Fedora Update System 2013-11-26 02:37:37 EST
rubygem-unicode-display_width-0.1.1-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-unicode-display_width-0.1.1-9.fc19
Comment 12 Fedora Update System 2013-11-26 13:02:39 EST
rubygem-unicode-display_width-0.1.1-9.fc20 has been pushed to the Fedora 20 testing repository.
Comment 13 Fedora Update System 2013-12-05 05:29:16 EST
rubygem-unicode-display_width-0.1.1-9.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-12-13 22:25:39 EST
rubygem-unicode-display_width-0.1.1-9.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.